MODULE test;

FROM tcs IMPORT  tcsetattr, tcgetattr;

IMPORT NumberIO, FIO, termios, STextIO;

VAR 
    result : INTEGER;
    thetermios : termios.TERMIOS;

BEGIN
    result := tcgetattr(FIO.StdIn, thetermios);
    NumberIO.WriteCard(result, 5);
    STextIO.WriteLn;
    result := tcsetattr (FIO.StdIn,2, thetermios);
    NumberIO.WriteCard(result, 5);
    STextIO.WriteLn;
END test.
